﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="default.aspx.cs" Inherits="CryptoPhoto.Test.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CryptoPhoto .NET Demo</title>
    <style>
        body
        {
            font: bold 13px Arial, sans-serif;
        }
        
        .outer
        {
            display: table;
            position: absolute;
            height: 100%;
            width: 100%;
        }
        
        .middle
        {
            display: table-cell;
            vertical-align: middle;
        }
        
        .inner
        {
            margin-left: auto;
            margin-right: auto;
            width: 500px;
            background-color: #EEE;
            border-radius: 15px;
            -moz-border-radius: 15px;
            -webkit-border-radius: 15px;
            -webkit-font-smoothing: antialiased;
            border: 3px solid #777;
        }
        
        /* floating element container box fix - START*/
        .floatContainer:before, .floatContainer:after
        {
            content: "";
            display: table;
        }
        .floatContainer:after
        {
            clear: both;
        }
        .floatContainer
        {
            zoom: 1;
        }
        /* floating element container box fix - END*/
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="outer">
        <div class="middle">
            <div class="inner floatContainer">
                <div class="floatContainer" style="height: 40px; background-color: #777; color: #FFF; border-radius: 10px 10px 0 0; -moz-border-radius: 10px 10px 0 0; -webkit-border-radius: 10px 10px 0 0">
                    <p style="text-align: center; padding: 10px; margin: 0">
                        CryptoPhoto .NET Demo</p>
                </div>
                <div style="padding: 10px; color: #555; line-height: 28px; min-height: 200px" class="floatContainer">
                    <div runat="server" id="divLogin" class="floatContainer">
                        <div style="width: 300px; margin: 60px auto 0; overflow: hidden">
                            <asp:Label ID="Label1" runat="server" AssociatedControlID="txtUsername" Text="Username:" Style="display: block; float: left; width: 80px" />
                            <asp:TextBox runat="server" ID="txtUsername" Style="display: block; float: right; width: 200px; padding: 5px; border: 1px solid #d9d9d9;" />
                        </div>
                        <div style="width: 300px; margin: 20px auto; overflow: hidden">
                            <asp:Label ID="Label2" runat="server" AssociatedControlID="txtPassword" Text="Password:" Style="display: block; float: left; width: 80px" />
                            <asp:TextBox runat="server" ID="txtPassword" Style="display: block; float: right; width: 200px; padding: 5px; border: 1px solid #d9d9d9;" TextMode="Password" />
                        </div>
                        <div style="width: 300px; margin: 20px auto; overflow: hidden">
                            <asp:Button runat="server" ID="btnLogin" OnClick="btnLogin_Click" Text="Login" Style="float: right; width: 100px; height: 30px" />
                        </div>
                        <div runat="server" id="divLoginError" visible="false" style="width: 300px; margin: 20px auto; overflow: hidden">
                            <p style="color: Red; font-weight: bold">
                                <asp:Literal runat="server" ID="litErrorMessage" Text="Incorrect username/password." /></p>
                        </div>
                    </div>
                    <div runat="server" id="divCryptoPhoto" class="floatContainer" style="padding: 5px">
                        <div runat="server" id="divAuth" visible="false">
                            <asp:Literal runat="server" ID="litAuthWidget" />
                            <asp:Button runat="server" ID="btnAuthContinue" OnClick="btnAuthContinue_Click" Text="Continue" Style="float: right; width: 100px; height: 30px" />
                        </div>
                        <div runat="server" id="divGen" visible="false">
                            <asp:Literal runat="server" ID="litGenWidget" />
                            <asp:Button runat="server" ID="btnGenDone" OnClick="btnGenDone_Click" Text="Done" Style="float: right; width: 100px; height: 30px" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
